Bug 125484 - [PATCH] www/mod_python: devel/apr 1.3.x exposed mod_python3 bug
Summary: [PATCH] www/mod_python: devel/apr 1.3.x exposed mod_python3 bug
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-10 21:20 UTC by Philip M. Gollucci
Modified: 2008-07-24 15:00 UTC (History)
1 user (show)

See Also:


Attachments
mod_python-3.3.1.patch (710 bytes, patch)
2008-07-10 21:20 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci 2008-07-10 21:20:01 UTC
APR_BIGADE_SENTINEL takes a bucket brigade not a bucket.

No PORTREVISION bump neccessary since the default package is on www/apache20
which will use apr 0.9.x bundled with that by default.

This change will work with all apr versions.


Added file(s):
- files/patch-src__connobject.c

Port maintainer (perky@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-07-10 21:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2008-07-22 23:17:41 UTC
Responsible Changed
From-To: araujo->pgollucci

Submitter has gants access
Comment 3 dfilter service freebsd_committer 2008-07-24 14:51:09 UTC
pgollucci    2008-07-24 13:50:57 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_python3      Makefile 
  Added files:
    www/mod_python3/files patch-src__connobject.c 
  Log:
  - Fix a bug in mod_python when using apr 1.3.x which
  - Fix a bug in mod_python333 when using apr 1.3.x which devel/apr is now at.
  - Take maintainer
  - No PORTREVISION bump, the default package does not use 1.3.x
  
  PR: ports/125484
  Reviewed by:    perky
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.40      +1 -1      ports/www/mod_python3/Makefile
  1.1       +18 -0     ports/www/mod_python3/files/patch-src__connobject.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philip M. Gollucci freebsd_committer 2008-07-24 14:51:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!